<script lang="ts">
  export let settings: GameSettings;
  export let state: GameState;

  ignoreUnusedWarning(settings, state);

  function ignoreUnusedWarning(..._: any) {}
</script>

<div class="wrapper panel">
  <h3>On your turn</h3>

  <h4>Place or discard a card</h4>
  <p>
    Place a card on your side of the game board. You may not place a lower
    valued card on top of a higher valued card. Multiplier cards (&times;) are
    considered the lowest value.
  </p>
  <p class="separator">~ or ~</p>
  <p>Discard a card to the center game board.</p>

  <h4>Draw a card</h4>
  <p>
    Draw the top card from the deck or one of the discard piles. You may not
    draw the same card you just discarded.
  </p>

  <h3>Game end</h3>
  <p>The game ends immediately when the deck is empty.</p>
  <h3>Scoring</h3>
  <h4>For every color you have placed at least one card:</h4>
  <p>
    Score = (Card values - 20) &times; <em>Multiplier</em> &plus; <em>Bonus</em>
  </p>
  <p>
    <em>Multiplier</em> is the number of multiplier cards you placed, plus 1.
  </p>
  <p><em>Bonus</em> is 20 if you placed at least 8 cards of that color.</p>
</div>

<style>
  .wrapper {
    height: 100%;
    background-color: linen;

    overflow-y: auto;
    font-size: 85%;
  }

  .separator {
    text-align: center;
    font-style: italic;
  }

  h3,
  h4 {
    font-weight: 500;
  }
</style>
